package dijkstraObjekt;


import graph.*;
public class UnentdeckteKnotenmenge
{
	private List<DijkstraVertex> knoten;
	private AktiveKnotenmenge aktiveKnotenmenge;
	
	public UnentdeckteKnotenmenge(graph.List<graph.Vertex> pKnoten, AktiveKnotenmenge pAktiveKnotenmenge)
	{
		knoten = new graph.List<>();
		for(pKnoten.toFirst();pKnoten.hasAccess();pKnoten.next())
		{
			DijkstraVertex einKnoten = (DijkstraVertex)pKnoten.getContent();
			einKnoten.setzeEntfernung(Double.MAX_VALUE);
			einKnoten.setzeVorgaenger(null);
			knoten.append((DijkstraVertex)pKnoten.getContent());	
		}
		aktiveKnotenmenge = pAktiveKnotenmenge;
	}
	
	public void aktiviereKnoten(DijkstraVertex pKnoten, double entfernung, DijkstraVertex vorgaenger)
	{
		aktiveKnotenmenge.fuegeHinzu(pKnoten,entfernung,vorgaenger);
		
		for(knoten.toFirst();knoten.hasAccess() && knoten.getContent()!=pKnoten;knoten.next());
		
		if(knoten.getContent()!=null)
			knoten.remove();
	}
	
	public boolean enthaelt(graph.Vertex pKnoten)
	{
		for(knoten.toFirst();knoten.hasAccess() && knoten.getContent()!=pKnoten;knoten.next());
		
		if(knoten.getContent()!=null)
			return(true);
		else
			return(false);
	}
	
	public void entferneAlleKnoten()
	{
		for(knoten.toFirst();knoten.hasAccess();knoten.next())
			knoten.remove();	
	}
}
