import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
public class TermGUI extends JFrame {
  // Anfang Attribute
  private JTextField jTFText = new JTextField("");
  private JButton jBPre = new JButton();
  private JButton jBIn = new JButton();  
  private JButton jBPost = new JButton();
  private JButton jBBerechne = new JButton();
  
    // Ende Attribute
  public TermBaum term;

  public TermGUI(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 448;
    int frameHeight = 140;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jTFText.setBounds(10,10, 400, 30);
    cp.add(jTFText);
    jBPre.setBounds(10, 45, 100, 25);
    jBPre.setText("preOrder");
    jBPre.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBPre_ActionPerformed(evt);
      }
    });
    cp.add(jBPre);
    
    jBIn.setBounds(110, 45, 100, 25);
    jBIn.setText("inOrder");
    jBIn.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBIn_ActionPerformed(evt);
      }
    });
    cp.add(jBIn);
    
    jBPost.setBounds(210, 45, 100, 25);
    jBPost.setText("postOrder");
    jBPost.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBPost_ActionPerformed(evt);
      }
    });
    cp.add(jBPost);
    
    jBBerechne.setBounds(310, 45, 100, 25);
    jBBerechne.setText("Ergebnis");
    jBBerechne.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBBerechne_ActionPerformed(evt);
      }
    });
    cp.add(jBBerechne);
    
   term = new TermBaum();
    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  public void jBPre_ActionPerformed(ActionEvent evt) {
    jTFText.setText(term.preOrder(term.getTerm()));
  }

  public void jBIn_ActionPerformed(ActionEvent evt) {
   jTFText.setText(term.inOrder(term.getTerm()));
  }
  
    public void jBPost_ActionPerformed(ActionEvent evt) {
   jTFText.setText(term.postOrder(term.getTerm()));
  }
  
  public void jBBerechne_ActionPerformed(ActionEvent evt) {
   jTFText.setText(""+term.berechne(term.getTerm()));
  }
  
  
  

  // Ende Methoden

  public static void main(String[] args) {
    new TermGUI("Termbau,");

  }
}