import java.awt.*;
import java.awt.event.*;
import graph.Graph;

// Autor: %AUTHOR%
// Datum: %DATE%

public class SozialesNetzwerkGUI extends Frame {
  // Anfang Attribute
  private TextArea textArea1 = new TextArea("", 1, 1, TextArea.SCROLLBARS_BOTH);
  private Button button3 = new Button();
  private Button button4 = new Button();

  // Ende Attribute
  private SozialesNetzwerk  sozNW;

  public SozialesNetzwerkGUI(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { dispose(); }
    });
    int frameWidth = 458; 
    int frameHeight = 330;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    setResizable(false);
    Panel cp = new Panel(null);
    add(cp);
    // Anfang Komponenten

    textArea1.setBounds(8, 16, 257, 290);
    cp.add(textArea1);
 
    button3.setBounds(288, 176, 147, 25);
    button3.setLabel("Dichte");
    button3.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        button3_ActionPerformed(evt);
      }
    });
    cp.add(button3);
    button4.setBounds(288, 216, 147, 25);
    button4.setLabel("Zentralitaetsgrade");
    button4.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        button4_ActionPerformed(evt);
      }
    });
    cp.add(button4);
   
    // Ende Komponenten

    setVisible(true);

    sozNW = new SozialesNetzwerk();
    sozNW.erzeugeBeispiel1();
    textArea1.append(sozNW.adListenToString());
  } // end of public SozialesNetzwerkGUI


  public void button3_ActionPerformed(ActionEvent evt) {
    textArea1.append("\n");
    textArea1.append(sozNW.dichteToString());
  } // end of button3_ActionPerformed

  public void button4_ActionPerformed(ActionEvent evt) {
    textArea1.append("\n");
    textArea1.append(sozNW.zentralgradToString());
  } // end of button4_ActionPerformed

  public void button5_ActionPerformed(ActionEvent evt) {
    sozNW.erzeugeBeispiel1();
  } // end of button5_ActionPerformed
  // Ende Methoden

  public static void main(String[] args) {
    new SozialesNetzwerkGUI("SozialesNetzwerkGUI");
   
  } // end of main

} // end of class SozialesNetzwerkGUI
