import java.awt.*;
import java.awt.event.*;


public class Spannbaum_GUI extends Frame {
  // Anfang Attribute
  private TextArea textArea1 = new TextArea("", 1, 1, TextArea.SCROLLBARS_VERTICAL_ONLY);
  private Button btnKruskal = new Button();
  private Button btnPrim = new Button();
  private Label label1 = new Label();
  private Label label2 = new Label();
  private TextField textField1 = new TextField();
  private TextField textField2 = new TextField();
  private Button btnGraph = new Button();
  // Ende Attribute
  private Spannbaum graph1 = new Spannbaum();

  public Spannbaum_GUI(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { dispose(); }
    });
    int frameWidth = 538; 
    int frameHeight = 313;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Panel cp = new Panel(null);
    add(cp);
    // Anfang Komponenten

    textArea1.setBounds(16, 16, 355, 267);
    textArea1.setText("(Strings)");
    textArea1.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(textArea1);
    
    label1.setBounds(392, 16, 38, 20);
    label1.setText("Start");
    cp.add(label1);
    
    textField1.setBounds(450, 16, 62, 20);
    textField1.setText("A");
    cp.add(textField1);
    
    btnGraph.setBounds(378, 80, 139, 25);
    btnGraph.setLabel("Adjazenzlisten");
    btnGraph.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        btnGraph_ActionPerformed(evt);
      }
    });
    cp.add(btnGraph);
    
    btnKruskal.setBounds(378, 120, 139, 25);
       btnKruskal.setLabel("MSB Kruskal");
       btnKruskal.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
           btnKruskal_ActionPerformed(evt);
      }
    });
       btnKruskal.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(   btnKruskal);
    
    btnPrim.setBounds(378, 160, 139, 25);
    btnPrim.setLabel("MSB Prim");
    btnPrim.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        btnPrim_ActionPerformed(evt);
      }
    });
    btnPrim.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(btnPrim);
    
    
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
    textArea1.setText("");
  }

   public void btnGraph_ActionPerformed(ActionEvent evt) {
    textArea1.append(graph1.adListenToString()+"\n");
  } // end of button5_ActionPerformed
  
  public void btnKruskal_ActionPerformed(ActionEvent evt) {
    textArea1.append("\n"+"Spannbaum Kruskal: "+"\n");
    textArea1.append(graph1.kruskalToString()+"\n");
  }
  
  public void btnPrim_ActionPerformed(ActionEvent evt) {
    String s = textField1.getText();
    
    textArea1.append("\n"+"Spannbaum Prim: "+"\n");

    textArea1.append(graph1.primToString(s)+"\n");
  }
  
  // Ende Methoden

  public static void main(String[] args) {
    new Spannbaum_GUI("Spannbaum_GUI");
  }
}
