

public class MorseCodierer {

       private BinaryTree<Character> morseBaum;

       public MorseCodierer() {
         BinaryTree<Character> lBaum4Links = new BinaryTree<Character>(new Character('H'));
         BinaryTree<Character> lBaum4Rechts = new BinaryTree<Character>(new Character('V'));
         BinaryTree<Character> lBaum3Links = new BinaryTree<Character>(new Character('S'), lBaum4Links, lBaum4Rechts);
         lBaum4Links = new BinaryTree<Character>(new Character('F'));
         lBaum4Rechts = new BinaryTree<Character>();
         BinaryTree<Character> lBaum3Rechts = new BinaryTree<Character>(new Character('U'), lBaum4Links, lBaum4Rechts);
         BinaryTree<Character> lBaum2Links = new BinaryTree<Character>(new Character('I'), lBaum3Links, lBaum3Rechts);
         lBaum4Links = new BinaryTree<Character>(new Character('L'));
         lBaum4Rechts = new BinaryTree<Character>();
         lBaum3Links = new BinaryTree<Character>(new Character('R'), lBaum4Links, lBaum4Rechts);
         lBaum4Links = new BinaryTree<Character>(new Character('P'));
         lBaum4Rechts = new BinaryTree<Character>(new Character('J'));
         lBaum3Rechts = new BinaryTree<Character>(new Character('W'), lBaum4Links, lBaum4Rechts);
         BinaryTree<Character> lBaum2Rechts = new BinaryTree<Character>(new Character('A'), lBaum3Links, lBaum3Rechts);
         BinaryTree<Character> lBaum1Links = new BinaryTree<Character>(new Character('E'), lBaum2Links, lBaum2Rechts);
         lBaum4Links = new BinaryTree<Character>(new Character('B'));
         lBaum4Rechts = new BinaryTree<Character>(new Character('X'));
         lBaum3Links = new BinaryTree<Character>(new Character('D'), lBaum4Links, lBaum4Rechts);
         lBaum4Links = new BinaryTree<Character>(new Character('C'));
         lBaum4Rechts = new BinaryTree<Character>(new Character('Y'));
         lBaum3Rechts = new BinaryTree<Character>(new Character('K'), lBaum4Links, lBaum4Rechts);
         lBaum2Links = new BinaryTree<Character>(new Character('N'), lBaum3Links, lBaum3Rechts);
         lBaum4Links = new BinaryTree<Character>(new Character('Z'));
         lBaum4Rechts = new BinaryTree<Character>(new Character('Q'));
         lBaum3Links = new BinaryTree<Character>(new Character('G'), lBaum4Links, lBaum4Rechts);
         // hier war ein leerer Konstruktor in Verwendung 
         lBaum4Links = new BinaryTree<Character>(new Character('G'));
         lBaum4Rechts = new BinaryTree<Character>();
         lBaum3Rechts = new BinaryTree<Character>(new Character('O'), lBaum4Links, lBaum4Rechts);
         lBaum2Rechts = new BinaryTree<Character>(new Character('M'), lBaum3Links, lBaum3Rechts);
         BinaryTree<Character> lBaum1Rechts = new BinaryTree<Character>(new Character('T'), lBaum2Links, lBaum2Rechts);
         morseBaum = new BinaryTree<Character>(new Character(' '), lBaum1Links, lBaum1Rechts);
       }
       
       public String codierterText (String pText) {
         int lZaehler = 0;
          String lCode = "";
          while ((lZaehler < pText.length()) && (pText.charAt (lZaehler) >= 'A') && (pText.charAt (lZaehler) <= 'Z')) {
           lCode = lCode + erzeugeMorsecode (pText.charAt(lZaehler), morseBaum, "") + "/";
           lZaehler++;
         }
         return lCode;
       }
       
       private String erzeugeMorsecode (char pZeichen, BinaryTree<Character> pMorseBaum, String pCode) {
          if (!pMorseBaum.isEmpty()){
           if (pZeichen == pMorseBaum.getContent()){
             return pCode;
           }
           else {
             String lCodeLinkerTeilbaum = erzeugeMorsecode(pZeichen, pMorseBaum.getLeftTree(), pCode+".");
             if (lCodeLinkerTeilbaum.equals(""))
               return erzeugeMorsecode(pZeichen, pMorseBaum.getRightTree(), pCode+"-");
             else
               return lCodeLinkerTeilbaum;
           }
          }
          else
            return "";
       }
       
  public String decodierterText (String pCode) {
    String lText = "";
    String lMorsezeichen;
    if(pCode.charAt(pCode.length()-1) != '/');
     pCode = pCode + '/';
    do {
      lMorsezeichen=pCode.substring(0, pCode.indexOf('/'));
      pCode = pCode.substring(pCode.indexOf('/')+1,pCode.length());
      if (lMorsezeichen != "") {
        lText=lText+decodiertesZeichen(lMorsezeichen);
      }
    } while (!pCode.equals(""));
        return lText;
  }

  public Character decodiertesZeichen( String pZeichenCode){
    int lZaehler = 0;
    BinaryTree<Character> lBaum = morseBaum;
    while (lZaehler < pZeichenCode.length()) {
      if (pZeichenCode.charAt(lZaehler) == '.')
        lBaum = lBaum.getLeftTree();
      else
        lBaum = lBaum.getRightTree();
      lZaehler++;
    }
    return lBaum.getContent();
  }

}
